# Record TCefAudioHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefAudioHandler = record`

## Description

Implement this structure to handle audio events.

NOTE: This struct is allocated client-side.

Implemented by ICefAudioHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_audio_handler_capi.h">CEF source file: /include/capi/cef_audio_handler_capi.h (cef_audio_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_audio_parameters: function(self: PCefAudioHandler; browser: PCefBrowser; params: PCefAudioParameters): Integer; stdcall;`
| `on_audio_stream_started: procedure(self: PCefAudioHandler; browser: PCefBrowser; const params: PCefAudioParameters; channels: integer); stdcall;`
| `on_audio_stream_packet: procedure(self: PCefAudioHandler; browser: PCefBrowser; const data : PPSingle; frames: integer; pts: int64); stdcall;`
| `on_audio_stream_stopped: procedure(self: PCefAudioHandler; browser: PCefBrowser); stdcall;`
| `on_audio_stream_error: procedure(self: PCefAudioHandler; browser: PCefBrowser; const message_: PCefString); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_audio_parameters: function(self: PCefAudioHandler; browser: PCefBrowser; params: PCefAudioParameters): Integer; stdcall;`
This item has no description.

| `on_audio_stream_started: procedure(self: PCefAudioHandler; browser: PCefBrowser; const params: PCefAudioParameters; channels: integer); stdcall;`
This item has no description.

| `on_audio_stream_packet: procedure(self: PCefAudioHandler; browser: PCefBrowser; const data : PPSingle; frames: integer; pts: int64); stdcall;`
This item has no description.

| `on_audio_stream_stopped: procedure(self: PCefAudioHandler; browser: PCefBrowser); stdcall;`
This item has no description.

| `on_audio_stream_error: procedure(self: PCefAudioHandler; browser: PCefBrowser; const message_: PCefString); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.